OCI-Lob::tell
OCI-Lob::write
OCI-Lob
PHP Manual

# OCI-Lob::truncate

(PHP 5, PECL OCI8 >= 1.1.0)

OCI-Lob::truncate — Truncates large object

### Description

bool OCI-Lob::truncate ([ int `$length` = 0 ] )

Truncates the LOB.

### Parameters

`length`

  If provided, this method will truncate the LOB to `length` bytes. Otherwise, it will completely purge the LOB.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- OCI-Lob::erase

OCI-Lob::tell
OCI-Lob::write
OCI-Lob
PHP Manual